
QGIS Application - Bug report #17157

Georeferencer seems properly not to close the opened file handle after closing georef window, open 

a new file, even create new or open another project.

2017-09-19 08:42 AM - sand thorn

Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25056

Description

How to reproduce:

1. Open Georeferencer.

2. Open a raster.

3. From this point, the file handles stay held forever until application exits.

  -  Reset georefence/open another file/close window/new project: don't affect existing of file handles.

  -  One can not move/rename/write the file.

This can be considered a minor pet peeve, when you want to move things around after that.

Suggestions:

Release file handle on 

- menu command

- close georeferencer window 

would be convenient.

History

#1 - 2017-09-19 09:13 AM - Giovanni Manghi

- Category changed from Rasters to C++ plugins/Georeferencer

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-24 06:08 AM - sand thorn

Jürgen Fischer wrote:

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

I confirm that QGIS 3.4.4 is still affected with this no-closing-file georeferencer issue.

Once a file get open in georeference. You can not modified the file until the whole application exits.
#4 - 2019-01-24 12:19 PM - Jürgen Fischer

- Affected QGIS version changed from 2.18.12 to 3.4.4

- Status changed from Feedback to Open
